<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_AirSeatMapRQAirTravelerTravelerRefNumber StructType
 * @package Dg
 * @subpackage Structs
 */
class DgOTA_AirSeatMapRQAirTravelerTravelerRefNumber extends AbstractStructBase
{
    /**
     * The RPH
     * @var string
     */
    public $RPH;
    /**
     * The SurnameRefNumber
     * @var string
     */
    public $SurnameRefNumber;
    /**
     * Constructor method for OTA_AirSeatMapRQAirTravelerTravelerRefNumber
     * @uses DgOTA_AirSeatMapRQAirTravelerTravelerRefNumber::setRPH()
     * @uses DgOTA_AirSeatMapRQAirTravelerTravelerRefNumber::setSurnameRefNumber()
     * @param string $rPH
     * @param string $surnameRefNumber
     */
    public function __construct($rPH = null, $surnameRefNumber = null)
    {
        $this
            ->setRPH($rPH)
            ->setSurnameRefNumber($surnameRefNumber);
    }
    /**
     * Get RPH value
     * @return string|null
     */
    public function getRPH()
    {
        return $this->RPH;
    }
    /**
     * Set RPH value
     * @param string $rPH
     * @return \dgsoft\StructType\DgOTA_AirSeatMapRQAirTravelerTravelerRefNumber
     */
    public function setRPH($rPH = null)
    {
        // validation for constraint: string
        if (!is_null($rPH) && !is_string($rPH)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rPH)), __LINE__);
        }
        $this->RPH = $rPH;
        return $this;
    }
    /**
     * Get SurnameRefNumber value
     * @return string|null
     */
    public function getSurnameRefNumber()
    {
        return $this->SurnameRefNumber;
    }
    /**
     * Set SurnameRefNumber value
     * @param string $surnameRefNumber
     * @return \dgsoft\StructType\DgOTA_AirSeatMapRQAirTravelerTravelerRefNumber
     */
    public function setSurnameRefNumber($surnameRefNumber = null)
    {
        // validation for constraint: string
        if (!is_null($surnameRefNumber) && !is_string($surnameRefNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($surnameRefNumber)), __LINE__);
        }
        $this->SurnameRefNumber = $surnameRefNumber;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgOTA_AirSeatMapRQAirTravelerTravelerRefNumber
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
